%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Validate/URI.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(HTML/Form.pm) perl(HTML/Parser.pm) perl(LWP/Protocol/https.pm) perl(Test/More.pm) perl(WWW/Mechanize.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name WWW-Rapidshare-Free
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Automates downloading from Rapidshare.com and checking links for free users
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/H/HA/HAGGAI/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use strict;
    use warnings;
    use WWW::Rapidshare::Free qw( verbose add_links check_links 
      download connection );

    # We are going to let the module be verbose and display a delay metre and 
    # progress bar.
    verbose(1);

    my @links = add_links(
        qw{
          http://rapidshare.com/files/175658683/perl-51.zip
          http://rapidshare.com/files/175662062/perl-52.zip
          }
    );

    print "Added links:\n";
    map print("\t$_\n"), @links;

    my @erroneous_links = check_links;
    map {
        my ( $uri, $error ) = @{$_};
        print "URI: $uri\nError: $error\n";
    } @erroneous_links;

    download(
        properties    => \&properties,
        file_complete => \&file_complete,
    );

    sub properties {
        my ( $file_name, $file_size ) = @_;
        print "Filename: $file_name\nFile size: $file_size bytes\n";
    }

    sub file_complete {
        # Let us restart the modem. I have updated my /etc/sudoers file to allow me
        # to execute sudo pppoe-start and sudo pppoe-stop without a password.
        connection(
            connect    => 'sudo pppoe-start',
            disconnect => 'sudo pppoe-stop',
        );
    }


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes example
%perl_vendor_privlib/W*

%changelog
* Tue Apr 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

